# Class BrowserNavigationEvent

java.lang.Object
java.util.EventObject
org.eclipse.rap.rwt.client.service.BrowserNavigationEvent

All Implemented Interfaces:
  `Serializable`

public class BrowserNavigationEvent extends EventObject
Instances of this class provide information about a browser navigation event.

Since:
  2.0
See Also:
  - `BrowserNavigationListener`
  - `BrowserNavigation`
  - Serialized Form

## Field Summary

### Fields inherited from class EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`BrowserNavigationEvent(Object source, String state)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getState()`
Return the browser history state to which the user navigated.

### Methods inherited from class EventObject

`getSource, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BrowserNavigationEvent

public BrowserNavigationEvent(Object source, String state)

## Method Details

### getState

public String getState()
Return the browser history state to which the user navigated.

Returns:
  the browser history state